Subject: Re: [PATCH 1/5 v3] Add the explanation and a sample of RapidIO OF node to the document of booting-without-of.txt file.

From: Segher Boessenkool <[email-masked]>
Date: Tue, 31 Jul 2007 18:15:48 +0200

>>> +    - #address-cells : Address representation for
>> "rapidio" devices.
>>> +      This field represents the number of cells needed to represent
>>> +      the RapidIO address of the registers.
>>
>> Can you explain this a little further.  I'm a bit confused by
>> 'RapidIO address of the registers'.
>>
> I want to present "This field represents the number of cells [needed to
> represent the RapidIO address] of the registers."
> Maybe I should remove 'of the registers' to be more clear.

This is completely content-free anyway; the semantics of
#address-cells (and #size-cells, which you forgot) are
already defined in the base OF spec; what you _should_ be
defining here is a) the required value of #address-cells
for a rapidio bus; and b) how addresses on that bus are
represented (simply as a 64-bit integer, encoded as a
pair of 32-bit integers as usual; but it needs to be said).

Segher